OverClock
Sexta, 27 de Janeiro de 2023

Macs antigos agora podem rodar o macOS Ventura mesmo sem o suporte da Apple Sexta, 27 de Janeiro de 2023

Macs antigos agora podem rodar o macOS Ventura mesmo sem o suporte da Apple

Toda nova versão do macOS traz frustração para muitos usuários: é comum que Macs antigos não sejam compatíveis com a novidade. Mas há formas de burlar essa limitação. O OpenCore 0.6.0 é uma delas. Recém-lançada, a ferramenta permite a instalação do macOS 13 Ventura em Macs fabricados entre 2007 e 2016.

macOS 13 Ventura (imagem: Emerson Alecrim/Tecnoblog)
macOS 13 Ventura (imagem: Emerson Alecrim/Tecnoblog)

Os Macs compatíveis com o macOS 13 Ventura incluem iMacs, MacBooks e MacBooks Pro produzidos a partir de 2017. Nas linhas MacBook Air e Mac Mini, é preciso ter uma unidade fabricada em 2018 ou nos anos seguintes.

O OpenCore Legacy Patcher 0.6.0 (OCLP) vem em socorro de quem tem um Mac fabricado em anos anteriores. A ferramenta faz o macOS 13 Ventura funcionar nos seguintes modelos:

  • MacBook de 12 e 13 polegadas: 2008 a 2016
  • MacBook Air de 11 e 13 polegadas: 2009 a 2017
  • MacBook Pro de 17 polegadas: 2008 a 2016
  • Mac Mini: 2009 a 2017
  • iMac de 20 e 27 polegadas: 2007 a 2016
  • Mac Pro: 2008 a 2018

Como o OpenCore funciona?

O OCLP é um bootloader, isto é, um software que controla a inicialização do dispositivo. A ferramenta tem a função de injetar dados na memória de modo a fazer o macOS reconhecer o computador como compatível com o sistema.

Esse nunca é um trabalho fácil. Mas, para fazer o OpenCore funcionar com o macOS 13 Ventura, os desenvolvedores lidaram com um desafio adicional: falta de drivers legados. A maior parte deles foi removida porque o sistema operacional não suporta mais Macs com hardware anterior aos chips Intel de sétima geração.

Os esforços deram resultado. O OCLP 0.6.0 faz o macOS 13 Ventura rodar nos mencionados modelos de Macs. Um recurso ou outro pode não funcionar como o esperado, porém. Até porque alguns componentes ainda estão em desenvolvimento, de acordo com Mykola Grymalyuk, líder do projeto. Mas, de modo geral, a ferramenta já consegue dar mais sobrevida a Macs antigos.

MacBooks Pro de 2016 (imagem: divulgação/Apple)
MacBooks Pro de 2016 (imagem: divulgação/Apple)

OpenCore: baixe já

O OpenCore 0.6.0 pode ser baixado no site oficial. O link também contém orientações para a sua instalação. Saiba desde já que o procedimento requer um pendrive com 16 GB ou mais.

A ferramenta tem código-fonte aberto e é gratuita. Obviamente, ela não é reconhecida pela Apple, por isso, a instalação deve ser feita por sua conta e risco.

Macs antigos agora podem rodar o macOS Ventura mesmo sem o suporte da Apple


Compartilhe: https://tinyurl.com/2qnamjqo